MyGUI: MyGUI::EditText Class Reference

MyGUI 3.2.2

Public Types | Public Member Functions | Static Public Member Functions | Protected Attributes
MyGUI::EditText Class Reference

`#include <MyGUI_EditText.h>`

Inheritance diagram for MyGUI::EditText:
[legend]

## Public Types
typedef RTTIBase | Base
typedef EditText | RTTIBase
Public Types inherited from MyGUI::ISubWidgetText
typedef RTTIBase | Base
typedef ISubWidgetText | RTTIBase
Public Types inherited from MyGUI::ISubWidget
typedef RTTIBase | Base
typedef ISubWidget | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual const std::string & | getTypeName () const
virtual bool | isType (const std::type_info &_type) const
template<typename Type >
bool | isType () const
| EditText ()
virtual | ~EditText ()
virtual void | setVisible (bool _value)
virtual void | updateRawData ()
virtual void | doRender ()
void | setCaption (const UString &_value)
const UString & | getCaption () const
void | setTextColour (const Colour &_value)
const Colour & | getTextColour () const
void | setAlpha (float _value)
float | getAlpha () const
virtual void | setFontName (const std::string &_value)
virtual const std::string & | getFontName () const
virtual void | setFontHeight (int _value)
virtual int | getFontHeight () const
virtual void | createDrawItem (ITexture *_texture, ILayerNode *_node)
virtual void | destroyDrawItem ()
virtual void | setTextAlign (Align _value)
virtual Align | getTextAlign () const
virtual size_t | getTextSelectionStart () const
virtual size_t | getTextSelectionEnd () const
virtual void | setTextSelection (size_t _start, size_t _end)
virtual bool | getSelectBackground () const
virtual void | setSelectBackground (bool _normal)
virtual bool | isVisibleCursor () const
virtual void | setVisibleCursor (bool _value)
virtual bool | getInvertSelected () const
virtual void | setInvertSelected (bool _value)
virtual size_t | getCursorPosition () const
virtual void | setCursorPosition (size_t _index)
virtual IntSize | getTextSize ()
virtual void | setViewOffset (const IntPoint &_point)
virtual IntPoint | getViewOffset () const
virtual size_t | getCursorPosition (const IntPoint &_point)
virtual IntCoord | getCursorCoord (size_t _position)
virtual bool | getShadow () const
virtual void | setShadow (bool _value)
virtual void | setShiftText (bool _shift)
virtual void | setWordWrap (bool _value)
virtual void | setStateData (IStateInfo *_data)
virtual void | setShadowColour (const Colour &_value)
virtual const Colour & | getShadowColour () const
virtual void | _updateView ()
virtual void | _correctView ()
virtual void | _setAlign (const IntSize &_oldsize)
virtual const VectorLineInfo & | getLineInfo () const
Public Member Functions inherited from MyGUI::ISubWidgetText
template<typename Type >
bool | isType () const
virtual | ~ISubWidgetText ()
IntPoint | getCursorPoint (size_t _position)
IntRect | getCursorRect (size_t _position)
Public Member Functions inherited from MyGUI::ISubWidget
template<typename Type >
bool | isType () const
| ISubWidget ()
virtual | ~ISubWidget ()
virtual void | setAlign (Align _value)
virtual void | doManualRender (IVertexBuffer *_buffer, ITexture *_texture, size_t _count)
Public Member Functions inherited from MyGUI::ICroppedRectangle
| ICroppedRectangle ()
virtual | ~ICroppedRectangle ()
ICroppedRectangle * | getCroppedParent ()
virtual void | setPosition (const IntPoint &_value)
virtual void | setSize (const IntSize &_value)
virtual void | setCoord (const IntCoord &_value)
IntPoint | getPosition () const
IntSize | getSize () const
const IntCoord & | getCoord () const
const IntPoint & | getAbsolutePosition () const
IntRect | getAbsoluteRect () const
IntCoord | getAbsoluteCoord () const
int | getAbsoluteLeft () const
int | getAbsoluteTop () const
int | getLeft () const
int | getRight () const
int | getTop () const
int | getBottom () const
int | getWidth () const
int | getHeight () const
bool | _isMargin () const
int | _getViewLeft () const
int | _getViewRight () const
int | _getViewTop () const
int | _getViewBottom () const
int | _getViewWidth () const
int | _getViewHeight () const
void | _setCroppedParent (ICroppedRectangle *_parent)
const IntRect & | _getMargin () const
int | _getMarginLeft () const
int | _getMarginRight () const
int | _getMarginTop () const
int | _getMarginBottom () const
Public Member Functions inherited from MyGUI::IObject
template<typename Type >
bool | isType () const
template<typename Type >
Type * | castType (bool _throw=true)
template<typename Type >
const Type * | castType (bool _throw=true) const
| IObject ()
virtual | ~IObject ()

## Static Public Member Functions
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISubWidgetText
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISubWidget
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static const std::string & | getClassTypeName ()

## Protected Attributes
bool | mEmptyView
uint32 | mCurrentColourNative
uint32 | mInverseColourNative
uint32 | mCurrentAlphaNative
uint32 | mShadowColourNative
IntCoord | mCurrentCoord
UString | mCaption
bool | mTextOutDate
Align | mTextAlign
Colour | mColour
Colour | mShadowColour
float | mAlpha
VertexColourType | mVertexFormat
IFont * | mFont
ITexture * | mTexture
int | mFontHeight
bool | mBackgroundNormal
size_t | mStartSelect
size_t | mEndSelect
size_t | mCursorPosition
bool | mVisibleCursor
bool | mInvertSelect
bool | mShadow
IntPoint | mViewOffset
ILayerNode * | mNode
RenderItem * | mRenderItem
size_t | mCountVertex
bool | mIsAddCursorWidth
bool | mShiftText
bool | mWordWrap
bool | mManualColour
int | mOldWidth
TextView | mTextView
Protected Attributes inherited from MyGUI::ISubWidget
Align | mAlign
bool | mVisible
Protected Attributes inherited from MyGUI::ICroppedRectangle
IntRect | mMargin
IntCoord | mCoord
IntPoint | mAbsolutePosition
bool | mIsMargin
ICroppedRectangle * | mCroppedParent

## Additional Inherited Members
Protected Member Functions inherited from MyGUI::ICroppedRectangle
bool | _checkMargin ()
bool | _checkOutside () const

## Detailed Description

Definition at line 25 of file MyGUI_EditText.h.

## Member Typedef Documentation

## ◆ Base

typedef RTTIBase MyGUI::EditText::Base

Definition at line 28 of file MyGUI_EditText.h.

## ◆ RTTIBase

typedef EditText MyGUI::EditText::RTTIBase

Definition at line 28 of file MyGUI_EditText.h.

## Constructor & Destructor Documentation

## ◆ EditText()

MyGUI::EditText::EditText | ( |  | ) |

Definition at line 24 of file MyGUI_EditText.cpp.

## ◆ ~EditText()

MyGUI::EditText::~EditText | ( |  | ) |
| virtual

Definition at line 65 of file MyGUI_EditText.cpp.

## Member Function Documentation

## ◆ _correctView()

void MyGUI::EditText::_correctView | ( |  | ) |
| virtual

Reimplemented from MyGUI::ISubWidget.

Definition at line 79 of file MyGUI_EditText.cpp.

## ◆ _setAlign()

void MyGUI::EditText::_setAlign | ( | const IntSize & | _oldsize | ) |
| virtual

Reimplemented from MyGUI::ISubWidget.

Definition at line 85 of file MyGUI_EditText.cpp.

## ◆ _updateView()

void MyGUI::EditText::_updateView | ( |  | ) |
| virtual

Reimplemented from MyGUI::ISubWidget.

Definition at line 149 of file MyGUI_EditText.cpp.

## ◆ createDrawItem()

void MyGUI::EditText::createDrawItem | ( | ITexture * | _texture,
|  | ILayerNode * | _node
| ) |  |
| virtual

Implements MyGUI::ISubWidget.

Definition at line 318 of file MyGUI_EditText.cpp.

## ◆ destroyDrawItem()

void MyGUI::EditText::destroyDrawItem | ( |  | ) |
| virtual

Implements MyGUI::ISubWidget.

Definition at line 331 of file MyGUI_EditText.cpp.

## ◆ doRender()

void MyGUI::EditText::doRender | ( |  | ) |
| virtual

Implements MyGUI::ISubWidget.

Reimplemented in MyGUI::SimpleText.

Definition at line 535 of file MyGUI_EditText.cpp.

## ◆ getAlpha()

float MyGUI::EditText::getAlpha | ( |  | ) | const

Definition at line 259 of file MyGUI_EditText.cpp.

## ◆ getCaption()

const UString & MyGUI::EditText::getCaption | ( |  | ) | const
| virtual

Reimplemented from MyGUI::ISubWidgetText.

Definition at line 211 of file MyGUI_EditText.cpp.

## ◆ getClassTypeName()

static const std::string& MyGUI::EditText::getClassTypeName | ( |  | ) |
| inlinestatic

Definition at line 28 of file MyGUI_EditText.h.

## ◆ getCursorCoord()

IntCoord MyGUI::EditText::getCursorCoord | ( | size_t | _position | ) |
| virtual

Reimplemented from MyGUI::ISubWidgetText.

Definition at line 473 of file MyGUI_EditText.cpp.

## ◆ getCursorPosition() [1/2]

size_t MyGUI::EditText::getCursorPosition | ( |  | ) | const
| virtual

Reimplemented from MyGUI::ISubWidgetText.

Definition at line 390 of file MyGUI_EditText.cpp.

## ◆ getCursorPosition() [2/2]

size_t MyGUI::EditText::getCursorPosition | ( | const IntPoint & | _point | ) |
| virtual

Reimplemented from MyGUI::ISubWidgetText.

Definition at line 457 of file MyGUI_EditText.cpp.

## ◆ getFontHeight()

int MyGUI::EditText::getFontHeight | ( |  | ) | const
| virtual

Reimplemented from MyGUI::ISubWidgetText.

Definition at line 313 of file MyGUI_EditText.cpp.

## ◆ getFontName()

const std::string & MyGUI::EditText::getFontName | ( |  | ) | const
| virtual

Reimplemented from MyGUI::ISubWidgetText.

Definition at line 299 of file MyGUI_EditText.cpp.

## ◆ getInvertSelected()

bool MyGUI::EditText::getInvertSelected | ( |  | ) | const
| virtual

Get invert selected text color property.

Reimplemented from MyGUI::ISubWidgetText.

Definition at line 643 of file MyGUI_EditText.cpp.

## ◆ getLineInfo()

const VectorLineInfo & MyGUI::EditText::getLineInfo | ( |  | ) | const
| virtual

Definition at line 439 of file MyGUI_EditText.cpp.

## ◆ getSelectBackground()

bool MyGUI::EditText::getSelectBackground | ( |  | ) | const
| virtual

Reimplemented from MyGUI::ISubWidgetText.

Definition at line 360 of file MyGUI_EditText.cpp.

## ◆ getShadow()

bool MyGUI::EditText::getShadow | ( |  | ) | const
| virtual

Reimplemented from MyGUI::ISubWidgetText.

Definition at line 648 of file MyGUI_EditText.cpp.

## ◆ getShadowColour()

const Colour & MyGUI::EditText::getShadowColour | ( |  | ) | const
| virtual

Reimplemented from MyGUI::ISubWidgetText.

Definition at line 677 of file MyGUI_EditText.cpp.

## ◆ getTextAlign()

Align MyGUI::EditText::getTextAlign | ( |  | ) | const
| virtual

Reimplemented from MyGUI::ISubWidgetText.

Definition at line 413 of file MyGUI_EditText.cpp.

## ◆ getTextColour()

const Colour & MyGUI::EditText::getTextColour | ( |  | ) | const
| virtual

Reimplemented from MyGUI::ISubWidgetText.

Definition at line 239 of file MyGUI_EditText.cpp.

## ◆ getTextSelectionEnd()

size_t MyGUI::EditText::getTextSelectionEnd | ( |  | ) | const
| virtual

Get index of end of selection

Reimplemented from MyGUI::ISubWidgetText.

Definition at line 346 of file MyGUI_EditText.cpp.

## ◆ getTextSelectionStart()

size_t MyGUI::EditText::getTextSelectionStart | ( |  | ) | const
| virtual

Get index of start of selection

Reimplemented from MyGUI::ISubWidgetText.

Definition at line 341 of file MyGUI_EditText.cpp.

## ◆ getTextSize()

IntSize MyGUI::EditText::getTextSize | ( |  | ) |
| virtual

Reimplemented from MyGUI::ISubWidgetText.

Definition at line 418 of file MyGUI_EditText.cpp.

## ◆ getTypeName()

virtual const std::string& MyGUI::EditText::getTypeName | ( |  | ) | const
| inlinevirtual

Get type name as string

Reimplemented from MyGUI::ISubWidgetText.

Reimplemented in MyGUI::SimpleText.

Definition at line 28 of file MyGUI_EditText.h.

## ◆ getViewOffset()

IntPoint MyGUI::EditText::getViewOffset | ( |  | ) | const
| virtual

Reimplemented from MyGUI::ISubWidgetText.

Definition at line 452 of file MyGUI_EditText.cpp.

## ◆ isType() [1/2]

template<typename Type >

bool MyGUI::EditText::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 28 of file MyGUI_EditText.h.

## ◆ isType() [2/2]

virtual bool MyGUI::EditText::isType | ( | const std::type_info & | _type | ) | const
| inlinevirtual

Compare with selected type

Reimplemented from MyGUI::ISubWidgetText.

Reimplemented in MyGUI::SimpleText.

Definition at line 28 of file MyGUI_EditText.h.

## ◆ isVisibleCursor()

bool MyGUI::EditText::isVisibleCursor | ( |  | ) | const
| virtual

Reimplemented from MyGUI::ISubWidgetText.

Definition at line 375 of file MyGUI_EditText.cpp.

## ◆ setAlpha()

void MyGUI::EditText::setAlpha | ( | float | _value | ) |
| virtual

Reimplemented from MyGUI::ISubWidget.

Definition at line 244 of file MyGUI_EditText.cpp.

## ◆ setCaption()

void MyGUI::EditText::setCaption | ( | const UString & | _value | ) |
| virtual

Reimplemented from MyGUI::ISubWidgetText.

Definition at line 188 of file MyGUI_EditText.cpp.

## ◆ setCursorPosition()

void MyGUI::EditText::setCursorPosition | ( | size_t | _index | ) |
| virtual

Reimplemented from MyGUI::ISubWidgetText.

Definition at line 395 of file MyGUI_EditText.cpp.

## ◆ setFontHeight()

void MyGUI::EditText::setFontHeight | ( | int | _value | ) |
| virtual

Reimplemented from MyGUI::ISubWidgetText.

Definition at line 304 of file MyGUI_EditText.cpp.

## ◆ setFontName()

void MyGUI::EditText::setFontName | ( | const std::string & | _value | ) |
| virtual

Reimplemented from MyGUI::ISubWidgetText.

Definition at line 264 of file MyGUI_EditText.cpp.

## ◆ setInvertSelected()

void MyGUI::EditText::setInvertSelected | ( | bool | _value | ) |
| virtual

Enable or disable inverting color of selected text.
Enabled (true) by default.

Reimplemented from MyGUI::ISubWidgetText.

Definition at line 633 of file MyGUI_EditText.cpp.

## ◆ setSelectBackground()

void MyGUI::EditText::setSelectBackground | ( | bool | _normal | ) |
| virtual

Reimplemented from MyGUI::ISubWidgetText.

Definition at line 365 of file MyGUI_EditText.cpp.

## ◆ setShadow()

void MyGUI::EditText::setShadow | ( | bool | _value | ) |
| virtual

Reimplemented from MyGUI::ISubWidgetText.

Definition at line 653 of file MyGUI_EditText.cpp.

## ◆ setShadowColour()

void MyGUI::EditText::setShadowColour | ( | const Colour & | _value | ) |
| virtual

Reimplemented from MyGUI::ISubWidgetText.

Definition at line 664 of file MyGUI_EditText.cpp.

## ◆ setShiftText()

void MyGUI::EditText::setShiftText | ( | bool | _shift | ) |
| virtual

Reimplemented from MyGUI::ISubWidgetText.

Definition at line 489 of file MyGUI_EditText.cpp.

## ◆ setStateData()

void MyGUI::EditText::setStateData | ( | IStateInfo * | _data | ) |
| virtual

Reimplemented from MyGUI::ISubWidget.

Definition at line 527 of file MyGUI_EditText.cpp.

## ◆ setTextAlign()

void MyGUI::EditText::setTextAlign | ( | Align | _value | ) |
| virtual

Reimplemented from MyGUI::ISubWidgetText.

Definition at line 405 of file MyGUI_EditText.cpp.

## ◆ setTextColour()

void MyGUI::EditText::setTextColour | ( | const Colour & | _value | ) |
| virtual

Reimplemented from MyGUI::ISubWidgetText.

Definition at line 216 of file MyGUI_EditText.cpp.

## ◆ setTextSelection()

void MyGUI::EditText::setTextSelection | ( | size_t | _start,
|  | size_t | _end
| ) |  |
| virtual

Set text selection

Reimplemented from MyGUI::ISubWidgetText.

Definition at line 351 of file MyGUI_EditText.cpp.

## ◆ setViewOffset()

void MyGUI::EditText::setViewOffset | ( | const IntPoint & | _point | ) |
| virtual

Reimplemented from MyGUI::ISubWidgetText.

Reimplemented in MyGUI::SimpleText.

Definition at line 444 of file MyGUI_EditText.cpp.

## ◆ setVisible()

void MyGUI::EditText::setVisible | ( | bool | _value | ) |
| virtual

Reimplemented from MyGUI::ISubWidget.

Definition at line 69 of file MyGUI_EditText.cpp.

## ◆ setVisibleCursor()

void MyGUI::EditText::setVisibleCursor | ( | bool | _value | ) |
| virtual

Reimplemented from MyGUI::ISubWidgetText.

Definition at line 380 of file MyGUI_EditText.cpp.

## ◆ setWordWrap()

void MyGUI::EditText::setWordWrap | ( | bool | _value | ) |
| virtual

Reimplemented from MyGUI::ISubWidgetText.

Definition at line 499 of file MyGUI_EditText.cpp.

## ◆ updateRawData()

void MyGUI::EditText::updateRawData | ( |  | ) |
| virtual

Definition at line 508 of file MyGUI_EditText.cpp.

## Field Documentation

## ◆ mAlpha

float MyGUI::EditText::mAlpha
| protected

Definition at line 149 of file MyGUI_EditText.h.

## ◆ mBackgroundNormal

bool MyGUI::EditText::mBackgroundNormal
| protected

Definition at line 156 of file MyGUI_EditText.h.

## ◆ mCaption

UString MyGUI::EditText::mCaption
| protected

Definition at line 143 of file MyGUI_EditText.h.

## ◆ mColour

Colour MyGUI::EditText::mColour
| protected

Definition at line 147 of file MyGUI_EditText.h.

## ◆ mCountVertex

size_t MyGUI::EditText::mCountVertex
| protected

Definition at line 168 of file MyGUI_EditText.h.

## ◆ mCurrentAlphaNative

uint32 MyGUI::EditText::mCurrentAlphaNative
| protected

Definition at line 139 of file MyGUI_EditText.h.

## ◆ mCurrentColourNative

uint32 MyGUI::EditText::mCurrentColourNative
| protected

Definition at line 137 of file MyGUI_EditText.h.

## ◆ mCurrentCoord

IntCoord MyGUI::EditText::mCurrentCoord
| protected

Definition at line 141 of file MyGUI_EditText.h.

## ◆ mCursorPosition

size_t MyGUI::EditText::mCursorPosition
| protected

Definition at line 159 of file MyGUI_EditText.h.

## ◆ mEmptyView

bool MyGUI::EditText::mEmptyView
| protected

Definition at line 136 of file MyGUI_EditText.h.

## ◆ mEndSelect

size_t MyGUI::EditText::mEndSelect
| protected

Definition at line 158 of file MyGUI_EditText.h.

## ◆ mFont

IFont* MyGUI::EditText::mFont
| protected

Definition at line 152 of file MyGUI_EditText.h.

## ◆ mFontHeight

int MyGUI::EditText::mFontHeight
| protected

Definition at line 154 of file MyGUI_EditText.h.

## ◆ mInverseColourNative

uint32 MyGUI::EditText::mInverseColourNative
| protected

Definition at line 138 of file MyGUI_EditText.h.

## ◆ mInvertSelect

bool MyGUI::EditText::mInvertSelect
| protected

Definition at line 161 of file MyGUI_EditText.h.

## ◆ mIsAddCursorWidth

bool MyGUI::EditText::mIsAddCursorWidth
| protected

Definition at line 169 of file MyGUI_EditText.h.

## ◆ mManualColour

bool MyGUI::EditText::mManualColour
| protected

Definition at line 173 of file MyGUI_EditText.h.

## ◆ mNode

ILayerNode* MyGUI::EditText::mNode
| protected

Definition at line 166 of file MyGUI_EditText.h.

## ◆ mOldWidth

int MyGUI::EditText::mOldWidth
| protected

Definition at line 174 of file MyGUI_EditText.h.

## ◆ mRenderItem

RenderItem* MyGUI::EditText::mRenderItem
| protected

Definition at line 167 of file MyGUI_EditText.h.

## ◆ mShadow

bool MyGUI::EditText::mShadow
| protected

Definition at line 162 of file MyGUI_EditText.h.

## ◆ mShadowColour

Colour MyGUI::EditText::mShadowColour
| protected

Definition at line 148 of file MyGUI_EditText.h.

## ◆ mShadowColourNative

uint32 MyGUI::EditText::mShadowColourNative
| protected

Definition at line 140 of file MyGUI_EditText.h.

## ◆ mShiftText

bool MyGUI::EditText::mShiftText
| protected

Definition at line 171 of file MyGUI_EditText.h.

## ◆ mStartSelect

size_t MyGUI::EditText::mStartSelect
| protected

Definition at line 157 of file MyGUI_EditText.h.

## ◆ mTextAlign

Align MyGUI::EditText::mTextAlign
| protected

Definition at line 145 of file MyGUI_EditText.h.

## ◆ mTextOutDate

bool MyGUI::EditText::mTextOutDate
| protected

Definition at line 144 of file MyGUI_EditText.h.

## ◆ mTexture

ITexture* MyGUI::EditText::mTexture
| protected

Definition at line 153 of file MyGUI_EditText.h.

## ◆ mTextView

TextView MyGUI::EditText::mTextView
| protected

Definition at line 176 of file MyGUI_EditText.h.

## ◆ mVertexFormat

VertexColourType MyGUI::EditText::mVertexFormat
| protected

Definition at line 150 of file MyGUI_EditText.h.

## ◆ mViewOffset

IntPoint MyGUI::EditText::mViewOffset
| protected

Definition at line 164 of file MyGUI_EditText.h.

## ◆ mVisibleCursor

bool MyGUI::EditText::mVisibleCursor
| protected

Definition at line 160 of file MyGUI_EditText.h.

## ◆ mWordWrap

bool MyGUI::EditText::mWordWrap
| protected

Definition at line 172 of file MyGUI_EditText.h.

The documentation for this class was generated from the following files:

- MyGUI_EditText.h
- MyGUI_EditText.cpp